package info.aspirecn.iov.sjjh.shupplier10000005.service;

import info.aspirecn.iov.sjjh.commons.lang.ChannelTypeHandleResponseObject;

import javax.servlet.http.HttpServletRequest;

/**
 *
 * @author minmin
 *
 */
public interface Supplier10000005Service {
	/**
	 * 三传木身份证检验接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmIdCardCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木移动三要素检验接口
	 * @param request
	 * @param type:1 老接口（yd1接口），2 yd2接口，3 yd3接口
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmMobileCheck(HttpServletRequest request, int type, String customBody, int outTime);

	/**
	 * 三传木移动在网时长接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmMobileOnlineTimeCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木移动在网状态接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmMobileOnlineStatusCheck(HttpServletRequest request, String customBody, int outTime);


	/**
	 * 三传木电信、联通三要素检验接口
	 * @param type: 0电信；1联通
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmDianXinOrLianTongCheck(HttpServletRequest request, int type, String customBody, int outTime);

	/**
	 * 三传木电信在网时长接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmDianXinOnlineTimeCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木电信在网状态接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmDianXinOnlineStatusCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木联通在网时长接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmLianTongOnlineTimeCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木联通在网状态接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmLianTongOnlineStatusCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木银行三要素接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmBankThreeCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木银行四要素接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	public ChannelTypeHandleResponseObject scmBankFourCheck(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木三要素解密接口
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject scmDecodeThreeElement(HttpServletRequest request, String customBody, int outTime);

    /**
     * 三传木电信三要素详版接口
     * @param request
     * @param customBody
     * @param outTime
     * @return
     */
	ChannelTypeHandleResponseObject scmCTCCThreeElementInfo(HttpServletRequest request, String customBody, int outTime);

	/**
	 * 三传木解密接口-定制版-入参身份证姓名只解密身份证号
	 * @param request
	 * @param customBody
	 * @param outTime
	 * @return
	 */
	ChannelTypeHandleResponseObject scmDecodeIdCode(HttpServletRequest request, String customBody, int outTime);
}
